#
# spec file for package prometheus-webhook-snmp
#
# Copyright (c) 2019-2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# bugs, issues, pull requests, please report via github.
# this software is a fork of github.com/SUSE/prometheus-webhook-snmp

%global upstream_commit 56773e190cb390e5b20ce55c62f7b7c4261aec2e
%global upstream_version 1.5-23-g56773e1
%global spec_version %(c=%{upstream_version}; echo ${c:0:6})
%global spec_release %(c=%{upstream_commit}; echo $(date +"%Y%m%d").${c:0:6})

Name:           prometheus-webhook-snmp
Version:        1.5
Release:        9%{?dist}
Summary:        Prometheus Alertmanager receiver for SNMP traps
License:        GPLv3
Url:            https://github.com/infrawatch/prometheus-webhook-snmp.git
Source0:        prometheus-webhook-snmp-rpm-56773e190cb390e5b20ce55c62f7b7c4261aec2e.tar.gz
BuildArch:      noarch

BuildRequires:  python3-setuptools

%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  python3-devel
BuildRequires:  systemd-rpm-macros
%endif

Requires:       python3-prometheus_client
Requires:       python3-click
%if 0%{?suse_version}
Requires:       python3-CherryPy
Requires:       python3-PyYAML
%else
Requires:       python3-cherrypy
Requires:       python3-yaml
%endif
Requires:       python3-dateutil
Requires:       python3-pysnmp >= 4.4.1

%description
prometheus-webhook-snmp is a Prometheus Alertmanager receiver that
translates incoming notifications into SNMP traps.

%prep
%setup -q -n prometheus-webhook-snmp-rpm-%{upstream_commit}

%build

%install
make install DESTDIR=%{buildroot} PYTHON3_SITELIB=%{python3_sitelib} UNITDIR=%{_unitdir}
rm -f %{buildroot}/%{_unitdir}/%{name}.service

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/prometheus_webhook_snmp

%changelog
* Tue Jan 26 2021 CPaaS User <cpaas-ops@redhat.com> - 1.5-9
- Bump release

* Sat Jan 23 2021 CPaaS User <cpaas-ops@redhat.com> - 1.5-8
- Bump release

* Thu Dec 03 2020 Miguel Garcia <mgarciac@redhat.com> - 1.5-6
- Bump release

* Mon Nov 09 2020 CPaaS User <cpaas-ops@redhat.com> - 1.5-5.1
- Bump release

* Mon Nov 09 2020 CPaaS User <cpaas-ops@redhat.com> - 1.5-4.1
- Bump release

* Mon Sep 14 2020 Matthias Runge <mrunge@redhat.com> - 1.5-1
- initial RPM packaging for Fedora/RHEL/CentOS
